import{s as re,n as ue,o as pe}from"../chunks/scheduler.412302f6.js";import{S as fe,i as ge,g as o,s as l,r as z,A as he,h as s,f as i,c as a,j as me,u as B,x as m,k as W,y as de,a as n,v as V,d as J,t as K,w as N}from"../chunks/index.f36f02f5.js";import{H as Q}from"../chunks/Heading.41d80af4.js";function ce(X){let r,P,L,H,p,y,f,Y='To find the latest examples, visit the <a href="https://github.com/huggingface/optimum-tpu/tree/main/examples" rel="nofollow">examples folder in the optimum-tpu repo on github</a>',C,g,G,h,Z="Learn how to perform efficient inference for text generation tasks:",E,d,ee='<li><strong>Basic Generation Script</strong> (<a href="https://github.com/huggingface/optimum-tpu/blob/main/examples/text-generation/generation.py" rel="nofollow">examples/text-generation/generation.py</a>)<ul><li>Demonstrates text generation using models like Gemma and Mistral</li> <li>Features greedy sampling implementation</li> <li>Shows how to use static caching for improved performance</li> <li>Includes performance measurement and timing analysis</li> <li>Supports custom model loading and configuration</li></ul></li>',S,c,U,x,te="Explore how to fine-tune language models on TPU infrastructure:",F,v,ie='<li><strong>Interactive Gemma Tutorial</strong> (<a href="../howto/gemma_tuning">view in the docs</a>)<ul><li>Complete notebook showing Gemma fine-tuning process</li> <li>Covers environment setup and TPU configuration</li> <li>Demonstrates FSDPv2 integration for efficient model sharding</li> <li>Includes dataset preparation and PEFT/LoRA implementation</li> <li>Provides step-by-step training workflow</li></ul></li>',k,T,ne='The full notebook is available at <a href="https://github.com/huggingface/optimum-tpu/blob/main/examples/language-modeling/gemma_tuning.ipynb" rel="nofollow">examples/language-modeling/gemma_tuning.ipynb</a>',A,u,le='<li><strong>LLaMA Fine-tuning Guide</strong> (<a href="../howto/llama_tuning">view in the docs</a>)<ul><li>Detailed guide for fine-tuning LLaMA-2 and LLaMA-3 models</li> <li>Explains SPMD and FSDP concepts</li> <li>Shows how to implement efficient data parallel training</li> <li>Includes practical code examples and prerequisites</li></ul></li>',D,$,ae='The full notebook is available at <a href="https://github.com/huggingface/optimum-tpu/blob/main/examples/language-modeling/llama_tuning.ipynb" rel="nofollow">examples/language-modeling/llama_tuning.ipynb</a>',O,b,R,w,oe='<li>Visit the <a href="https://github.com/huggingface/optimum-tpu" rel="nofollow">Optimum-TPU GitHub repository</a> for more details</li> <li>Explore the <a href="https://cloud.google.com/tpu/docs" rel="nofollow">Google Cloud TPU documentation</a> for deeper understanding of TPU architecture</li>',q,_,se='To contribute to these examples, visit our <a href="https://github.com/huggingface/optimum-tpu" rel="nofollow">GitHub repository</a>.',I,M,j;return p=new Q({props:{title:"Find More Examples on the Optimum-TPU GitHub Repository",local:"find-more-examples-on-the-optimum-tpu-github-repository",headingTag:"h1"}}),g=new Q({props:{title:"Text Generation",local:"text-generation",headingTag:"h2"}}),c=new Q({props:{title:"Language Model Fine-tuning",local:"language-model-fine-tuning",headingTag:"h2"}}),b=new Q({props:{title:"Additional Resources",local:"additional-resources",headingTag:"h1"}}),{c(){r=o("meta"),P=l(),L=o("p"),H=l(),z(p.$$.fragment),y=l(),f=o("p"),f.innerHTML=Y,C=l(),z(g.$$.fragment),G=l(),h=o("p"),h.textContent=Z,E=l(),d=o("ul"),d.innerHTML=ee,S=l(),z(c.$$.fragment),U=l(),x=o("p"),x.textContent=te,F=l(),v=o("ol"),v.innerHTML=ie,k=l(),T=o("p"),T.innerHTML=ne,A=l(),u=o("ol"),u.innerHTML=le,D=l(),$=o("p"),$.innerHTML=ae,O=l(),z(b.$$.fragment),R=l(),w=o("ul"),w.innerHTML=oe,q=l(),_=o("p"),_.innerHTML=se,I=l(),M=o("p"),this.h()},l(e){const t=he("svelte-u9bgzb",document.head);r=s(t,"META",{name:!0,content:!0}),t.forEach(i),P=a(e),L=s(e,"P",{}),me(L).forEach(i),H=a(e),B(p.$$.fragment,e),y=a(e),f=s(e,"P",{"data-svelte-h":!0}),m(f)!=="svelte-mpnomh"&&(f.innerHTML=Y),C=a(e),B(g.$$.fragment,e),G=a(e),h=s(e,"P",{"data-svelte-h":!0}),m(h)!=="svelte-10xx1i4"&&(h.textContent=Z),E=a(e),d=s(e,"UL",{"data-svelte-h":!0}),m(d)!=="svelte-9f2oae"&&(d.innerHTML=ee),S=a(e),B(c.$$.fragment,e),U=a(e),x=s(e,"P",{"data-svelte-h":!0}),m(x)!=="svelte-fwi7s0"&&(x.textContent=te),F=a(e),v=s(e,"OL",{"data-svelte-h":!0}),m(v)!=="svelte-w36kq8"&&(v.innerHTML=ie),k=a(e),T=s(e,"P",{"data-svelte-h":!0}),m(T)!=="svelte-1ceuqb5"&&(T.innerHTML=ne),A=a(e),u=s(e,"OL",{start:!0,"data-svelte-h":!0}),m(u)!=="svelte-1sr7twj"&&(u.innerHTML=le),D=a(e),$=s(e,"P",{"data-svelte-h":!0}),m($)!=="svelte-27ife5"&&($.innerHTML=ae),O=a(e),B(b.$$.fragment,e),R=a(e),w=s(e,"UL",{"data-svelte-h":!0}),m(w)!=="svelte-1lwra8s"&&(w.innerHTML=oe),q=a(e),_=s(e,"P",{"data-svelte-h":!0}),m(_)!=="svelte-1pn9us2"&&(_.innerHTML=se),I=a(e),M=s(e,"P",{}),me(M).forEach(i),this.h()},h(){W(r,"name","hf:doc:metadata"),W(r,"content",xe),W(u,"start","2")},m(e,t){de(document.head,r),n(e,P,t),n(e,L,t),n(e,H,t),V(p,e,t),n(e,y,t),n(e,f,t),n(e,C,t),V(g,e,t),n(e,G,t),n(e,h,t),n(e,E,t),n(e,d,t),n(e,S,t),V(c,e,t),n(e,U,t),n(e,x,t),n(e,F,t),n(e,v,t),n(e,k,t),n(e,T,t),n(e,A,t),n(e,u,t),n(e,D,t),n(e,$,t),n(e,O,t),V(b,e,t),n(e,R,t),n(e,w,t),n(e,q,t),n(e,_,t),n(e,I,t),n(e,M,t),j=!0},p:ue,i(e){j||(J(p.$$.fragment,e),J(g.$$.fragment,e),J(c.$$.fragment,e),J(b.$$.fragment,e),j=!0)},o(e){K(p.$$.fragment,e),K(g.$$.fragment,e),K(c.$$.fragment,e),K(b.$$.fragment,e),j=!1},d(e){e&&(i(P),i(L),i(H),i(y),i(f),i(C),i(G),i(h),i(E),i(d),i(S),i(U),i(x),i(F),i(v),i(k),i(T),i(A),i(u),i(D),i($),i(O),i(R),i(w),i(q),i(_),i(I),i(M)),i(r),N(p,e),N(g,e),N(c,e),N(b,e)}}}const xe='{"title":"Find More Examples on the Optimum-TPU GitHub Repository","local":"find-more-examples-on-the-optimum-tpu-github-repository","sections":[{"title":"Text Generation","local":"text-generation","sections":[],"depth":2},{"title":"Language Model Fine-tuning","local":"language-model-fine-tuning","sections":[],"depth":2}],"depth":1}';function ve(X){return pe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class we extends fe{constructor(r){super(),ge(this,r,ve,ce,re,{})}}export{we as component};
