import{s as te,n as ie,o as ne}from"../chunks/scheduler.412302f6.js";import{S as le,i as ae,g as o,s as l,r as w,A as se,h as p,f as i,c as a,j as K,u as C,x as b,k as ee,y as oe,a as n,v,d as P,t as M,w as y}from"../chunks/index.f36f02f5.js";import{C as pe}from"../chunks/CodeBlock.f4a4ce81.js";import{H as S}from"../chunks/Heading.41d80af4.js";function me(X){let s,U,L,H,m,k,r,Y="Welcome to the 🤗 Optimum-TPU training guide! This section covers how to fine-tune models using Google Cloud TPUs.",z,u,Z,g,I='See <a href="../supported-architectures">Supported Models</a>.',A,f,E,d,W,$,D="Before starting the training process, ensure you have:",j,c,N='<li>A configured Google Cloud TPU instance (see <a href="../tutorials/tpu_setup">Deployment Guide</a>)</li> <li>Optimum-TPU installed with PyTorch/XLA support:</li>',q,h,B,x,R,T,Q="You can now follow one of our several example scripts to get started:",F,_,V='<li><p>Gemma Fine-tuning:</p> <ul><li>See our <a href="https://github.com/huggingface/optimum-tpu/blob/main/examples/language-modeling/gemma_tuning.ipynb" rel="nofollow">Gemma fine-tuning notebook</a> for a step-by-step guide</li></ul></li> <li><p>LLaMA Fine-tuning:</p> <ul><li>Check our <a href="https://github.com/huggingface/optimum-tpu/blob/main/examples/language-modeling/llama_tuning.ipynb" rel="nofollow">LLaMA fine-tuning notebook</a> for detailed instructions</li></ul></li>',J,G,O;return m=new S({props:{title:"Training on a Google Cloud TPU instance",local:"training-on-a-google-cloud-tpu-instance",headingTag:"h1"}}),u=new S({props:{title:"Supported Models",local:"supported-models",headingTag:"h2"}}),f=new S({props:{title:"Getting Started",local:"getting-started",headingTag:"h2"}}),d=new S({props:{title:"Prerequisites",local:"prerequisites",headingTag:"h3"}}),h=new pe({props:{code:"cGlwJTIwaW5zdGFsbCUyMG9wdGltdW0tdHB1JTIwLWYlMjBodHRwcyUzQSUyRiUyRnN0b3JhZ2UuZ29vZ2xlYXBpcy5jb20lMkZsaWJ0cHUtcmVsZWFzZXMlMkZpbmRleC5odG1s",highlighted:"pip install optimum-tpu -f https://storage.googleapis.com/libtpu-releases/index.html",wrap:!1}}),x=new S({props:{title:"Example Training Scripts",local:"example-training-scripts",headingTag:"h2"}}),{c(){s=o("meta"),U=l(),L=o("p"),H=l(),w(m.$$.fragment),k=l(),r=o("p"),r.textContent=Y,z=l(),w(u.$$.fragment),Z=l(),g=o("p"),g.innerHTML=I,A=l(),w(f.$$.fragment),E=l(),w(d.$$.fragment),W=l(),$=o("p"),$.textContent=D,j=l(),c=o("ol"),c.innerHTML=N,q=l(),w(h.$$.fragment),B=l(),w(x.$$.fragment),R=l(),T=o("p"),T.textContent=Q,F=l(),_=o("ol"),_.innerHTML=V,J=l(),G=o("p"),this.h()},l(e){const t=se("svelte-u9bgzb",document.head);s=p(t,"META",{name:!0,content:!0}),t.forEach(i),U=a(e),L=p(e,"P",{}),K(L).forEach(i),H=a(e),C(m.$$.fragment,e),k=a(e),r=p(e,"P",{"data-svelte-h":!0}),b(r)!=="svelte-zgzj4i"&&(r.textContent=Y),z=a(e),C(u.$$.fragment,e),Z=a(e),g=p(e,"P",{"data-svelte-h":!0}),b(g)!=="svelte-2zze04"&&(g.innerHTML=I),A=a(e),C(f.$$.fragment,e),E=a(e),C(d.$$.fragment,e),W=a(e),$=p(e,"P",{"data-svelte-h":!0}),b($)!=="svelte-jesrlw"&&($.textContent=D),j=a(e),c=p(e,"OL",{"data-svelte-h":!0}),b(c)!=="svelte-1cgfsam"&&(c.innerHTML=N),q=a(e),C(h.$$.fragment,e),B=a(e),C(x.$$.fragment,e),R=a(e),T=p(e,"P",{"data-svelte-h":!0}),b(T)!=="svelte-l587x9"&&(T.textContent=Q),F=a(e),_=p(e,"OL",{"data-svelte-h":!0}),b(_)!=="svelte-1uiyfbg"&&(_.innerHTML=V),J=a(e),G=p(e,"P",{}),K(G).forEach(i),this.h()},h(){ee(s,"name","hf:doc:metadata"),ee(s,"content",re)},m(e,t){oe(document.head,s),n(e,U,t),n(e,L,t),n(e,H,t),v(m,e,t),n(e,k,t),n(e,r,t),n(e,z,t),v(u,e,t),n(e,Z,t),n(e,g,t),n(e,A,t),v(f,e,t),n(e,E,t),v(d,e,t),n(e,W,t),n(e,$,t),n(e,j,t),n(e,c,t),n(e,q,t),v(h,e,t),n(e,B,t),v(x,e,t),n(e,R,t),n(e,T,t),n(e,F,t),n(e,_,t),n(e,J,t),n(e,G,t),O=!0},p:ie,i(e){O||(P(m.$$.fragment,e),P(u.$$.fragment,e),P(f.$$.fragment,e),P(d.$$.fragment,e),P(h.$$.fragment,e),P(x.$$.fragment,e),O=!0)},o(e){M(m.$$.fragment,e),M(u.$$.fragment,e),M(f.$$.fragment,e),M(d.$$.fragment,e),M(h.$$.fragment,e),M(x.$$.fragment,e),O=!1},d(e){e&&(i(U),i(L),i(H),i(k),i(r),i(z),i(Z),i(g),i(A),i(E),i(W),i($),i(j),i(c),i(q),i(B),i(R),i(T),i(F),i(_),i(J),i(G)),i(s),y(m,e),y(u,e),y(f,e),y(d,e),y(h,e),y(x,e)}}}const re='{"title":"Training on a Google Cloud TPU instance","local":"training-on-a-google-cloud-tpu-instance","sections":[{"title":"Supported Models","local":"supported-models","sections":[],"depth":2},{"title":"Getting Started","local":"getting-started","sections":[{"title":"Prerequisites","local":"prerequisites","sections":[],"depth":3}],"depth":2},{"title":"Example Training Scripts","local":"example-training-scripts","sections":[],"depth":2}],"depth":1}';function ue(X){return ne(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ce extends le{constructor(s){super(),ae(this,s,ue,me,te,{})}}export{ce as component};
