import{s as oe,o as ie}from"../chunks/scheduler.412302f6.js";import{S as se,i as ne,g as l,s,r as U,A as re,h as m,f as a,c as n,j as ae,u as _,x as $,k as q,y as le,a as o,v as C,d as H,t as k,w as F,m as me,n as de}from"../chunks/index.f36f02f5.js";import{T as pe}from"../chunks/Tip.84c47ee3.js";import{C as ue}from"../chunks/CodeBlock.f4a4ce81.js";import{H as D}from"../chunks/Heading.41d80af4.js";function ce(M){let i;return{c(){i=me("If you are here to start using HuggingFace products on TPU, then you are in the right place!")},l(r){i=de(r,"If you are here to start using HuggingFace products on TPU, then you are in the right place!")},m(r,u){o(r,i,u)},d(r){r&&a(i)}}}function ge(M){let i,r,u,G,c,z,d,I,g,V='Optimum TPU provides all the necessary machinery to leverage and optimize AI workloads running on <a href="https://cloud.google.com/tpu/docs" rel="nofollow">Google Cloud TPU devices</a>. Optimum-TPU is a HuggingFace solution to optimize HuggingFace products for the TPU platform. This allows users to use HuggingFace features and easy-to-use libraries on TPU with the best performance. We currently optimize transformers and TGI and integrate <a href="https://huggingface.co/models" rel="nofollow">HuggingFace hub</a> so you can access HuggingFace’s large library of models.',O,h,X="If you are here to start using HuggingFace products on TPU, then you are in the right place",W,f,Y="The API provides the overall same user-experience as HuggingFace transformers with the minimum amount of changes required to target performance for inference and training.",L,w,N=`Optimum TPU is meant to reduce as much as possible the friction in order to leverage Google Cloud TPU accelerators.
As such, we provide a pip installable package to make sure everyone can get easily started.`,Z,y,A,b,R,x,Q='TPUs excel at large-scale machine learning workloads with matrix computations, extended training periods, and large batch sizes. In contrast, GPUs offer more flexibility for models with custom operations or mixed CPU/GPU workloads. TPUs aren’t ideal for workloads needing frequent branching, high-precision arithmetic, or custom training loop operations. More information can be found at <a href="https://cloud.google.com/tpu/docs/intro-to-tpu#when_to_use_tpus" rel="nofollow">https://cloud.google.com/tpu/docs/intro-to-tpu#when_to_use_tpus</a>',S,v,B,T,K="Optimum-TPU serves as the bridge between the HuggingFace ecosystem and Google Cloud TPU hardware. It dramatically simplifies what would otherwise be a complex integration process, providing an intuitive interface that abstracts away TPU-specific implementation details while maintaining high performance. Through automated optimizations, efficient batching strategies, intelligent memory management and more, Optimum-TPU ensures your models run at peak efficiency on TPU hardware. The framework’s deep integration with the HuggingFace Hub catalog of models and datasets enables easy deployment and fine-tuning of state-of-the-art models with the familiar ease of use of HuggingFace libraries while maximizing TPU hardware capabilities.",E,p,ee=`<div class="w-full flex flex-col space-y-4 md:space-y-0 md:grid md:grid-cols-2 lg:grid-cols-2 md:gap-y-4 md:gap-x-5"><a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./tutorials/tpu_setup"><div class="w-full text-center bg-gradient-to-br from-blue-400 to-blue-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Tutorials</div> <p class="text-gray-700">Learn the basics and become familiar with deploying transformers on Google TPUs.
                Start here if you are using 🤗 Optimum-TPU for the first time!</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./howto/serving"><div class="w-full text-center bg-gradient-to-br from-indigo-400 to-indigo-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">How-to guides</div> <p class="text-gray-700">Practical guides to help you achieve a specific goal. Take a look at these guides to learn how to use 🤗 Optimum-TPU
                to solve real-world problems.</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./conceptual_guides/tpu_hardware_support"><div class="w-full text-center bg-gradient-to-br from-green-400 to-green-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Conceptual Guides</div> <p class="text-gray-700">Deep dives into key concepts behind TPU optimization, architecture, and best practices.
                Understand how TPUs work and how to maximize their potential.</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./reference/fsdp_v2"><div class="w-full text-center bg-gradient-to-br from-purple-400 to-purple-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Reference</div> <p class="text-gray-700">Technical descriptions of how the classes and methods of 🤗 Optimum-TPU work.
                Detailed API documentation, configuration options, and implementation details.</p></a></div>`,J,P,j;return c=new D({props:{title:"🤗 Optimum TPU",local:"-optimum-tpu",headingTag:"h1"}}),d=new pe({props:{$$slots:{default:[ce]},$$scope:{ctx:M}}}),y=new ue({props:{code:"cGlwJTIwaW5zdGFsbCUyMG9wdGltdW0tdHB1JTIwLWYlMjBodHRwcyUzQSUyRiUyRnN0b3JhZ2UuZ29vZ2xlYXBpcy5jb20lMkZsaWJ0cHUtcmVsZWFzZXMlMkZpbmRleC5odG1s",highlighted:"pip install optimum-tpu -f https://storage.googleapis.com/libtpu-releases/index.html",wrap:!1}}),b=new D({props:{title:"Why Choose TPUs",local:"why-choose-tpus",headingTag:"h2"}}),v=new D({props:{title:"Why Choose Optimum-TPU",local:"why-choose-optimum-tpu",headingTag:"h2"}}),{c(){i=l("meta"),r=s(),u=l("p"),G=s(),U(c.$$.fragment),z=s(),U(d.$$.fragment),I=s(),g=l("p"),g.innerHTML=V,O=s(),h=l("p"),h.textContent=X,W=s(),f=l("p"),f.textContent=Y,L=s(),w=l("p"),w.textContent=N,Z=s(),U(y.$$.fragment),A=s(),U(b.$$.fragment),R=s(),x=l("p"),x.innerHTML=Q,S=s(),U(v.$$.fragment),B=s(),T=l("p"),T.textContent=K,E=s(),p=l("div"),p.innerHTML=ee,J=s(),P=l("p"),this.h()},l(e){const t=re("svelte-u9bgzb",document.head);i=m(t,"META",{name:!0,content:!0}),t.forEach(a),r=n(e),u=m(e,"P",{}),ae(u).forEach(a),G=n(e),_(c.$$.fragment,e),z=n(e),_(d.$$.fragment,e),I=n(e),g=m(e,"P",{"data-svelte-h":!0}),$(g)!=="svelte-wphdv1"&&(g.innerHTML=V),O=n(e),h=m(e,"P",{"data-svelte-h":!0}),$(h)!=="svelte-3cy3gw"&&(h.textContent=X),W=n(e),f=m(e,"P",{"data-svelte-h":!0}),$(f)!=="svelte-b3yg60"&&(f.textContent=Y),L=n(e),w=m(e,"P",{"data-svelte-h":!0}),$(w)!=="svelte-1y7fv0x"&&(w.textContent=N),Z=n(e),_(y.$$.fragment,e),A=n(e),_(b.$$.fragment,e),R=n(e),x=m(e,"P",{"data-svelte-h":!0}),$(x)!=="svelte-m3glpa"&&(x.innerHTML=Q),S=n(e),_(v.$$.fragment,e),B=n(e),T=m(e,"P",{"data-svelte-h":!0}),$(T)!=="svelte-o9t7ih"&&(T.textContent=K),E=n(e),p=m(e,"DIV",{class:!0,"data-svelte-h":!0}),$(p)!=="svelte-so3i8m"&&(p.innerHTML=ee),J=n(e),P=m(e,"P",{}),ae(P).forEach(a),this.h()},h(){q(i,"name","hf:doc:metadata"),q(i,"content",he),q(p,"class","mt-10")},m(e,t){le(document.head,i),o(e,r,t),o(e,u,t),o(e,G,t),C(c,e,t),o(e,z,t),C(d,e,t),o(e,I,t),o(e,g,t),o(e,O,t),o(e,h,t),o(e,W,t),o(e,f,t),o(e,L,t),o(e,w,t),o(e,Z,t),C(y,e,t),o(e,A,t),C(b,e,t),o(e,R,t),o(e,x,t),o(e,S,t),C(v,e,t),o(e,B,t),o(e,T,t),o(e,E,t),o(e,p,t),o(e,J,t),o(e,P,t),j=!0},p(e,[t]){const te={};t&2&&(te.$$scope={dirty:t,ctx:e}),d.$set(te)},i(e){j||(H(c.$$.fragment,e),H(d.$$.fragment,e),H(y.$$.fragment,e),H(b.$$.fragment,e),H(v.$$.fragment,e),j=!0)},o(e){k(c.$$.fragment,e),k(d.$$.fragment,e),k(y.$$.fragment,e),k(b.$$.fragment,e),k(v.$$.fragment,e),j=!1},d(e){e&&(a(r),a(u),a(G),a(z),a(I),a(g),a(O),a(h),a(W),a(f),a(L),a(w),a(Z),a(A),a(R),a(x),a(S),a(B),a(T),a(E),a(p),a(J),a(P)),a(i),F(c,e),F(d,e),F(y,e),F(b,e),F(v,e)}}}const he='{"title":"🤗 Optimum TPU","local":"-optimum-tpu","sections":[{"title":"Why Choose TPUs","local":"why-choose-tpus","sections":[],"depth":2},{"title":"Why Choose Optimum-TPU","local":"why-choose-optimum-tpu","sections":[],"depth":2}],"depth":1}';function fe(M){return ie(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Te extends se{constructor(i){super(),ne(this,i,fe,ge,oe,{})}}export{Te as component};
