import{s as it,n as nt,o as ot}from"../chunks/scheduler.412302f6.js";import{S as st,i as pt,g as o,s as i,r as E,A as ut,h as s,f as a,c as n,j as tt,u as S,x as u,k as et,y as rt,a as l,v as F,d as W,t as Y,w as X}from"../chunks/index.f36f02f5.js";import{C as at}from"../chunks/CodeBlock.f4a4ce81.js";import{H as lt}from"../chunks/Heading.41d80af4.js";function mt(A){let p,y,x,U,r,P,m,Q='This assumes you already have a TPU instance running. If not, please look at <a href="./tutorials/tpu_setup">TPU setup tutorial</a>',H,f,q='If it is your first time using TPU, look at our tutorial that explains <a href="./tutorials/tpu_setup">how to setup a TPU for the first time</a>',b,h,z='This walkthrough will explain how to install the <a href="https://pypi.org/project/optimum-tpu/" rel="nofollow">optimum-tpu package</a> to leverage HuggingFace’s solution to run AI workloads as fast as possible on Google TPUs 🚀',J,c,I,T,O='Installing the optimum-tpu python package is mainly useful for training. If you wish to do serving the recommended way to inferface with that is through <a href="./optimum_container">our TGI containers</a>. You can also look at our <a href="./tutorials/inference_on_tpu">tutorial on serving</a> for more information.',k,w,V="To install Optimum-TPU, it should be as simple as",C,d,L,g,N=`You can now leverage PyTorch/XLA through Optimum-TPU. You can validate the installation with the following command which should print <code>xla:0</code> as we do have a single
TPU device bound to this instance.`,G,_,j,$,D='You can also look at the rest at our <a href="./howto/more_examples">fine-tuning examples</a> for more information on how to use the optimum-tpu package',Z,v,K='Remarks: you can also use <a href="./tutorials/training_on_tpu">optimum-tpu training container</a> for a pre-setup container with optimum-tpu installed and all HuggingFace libraries pre-configured',R,M,B;return r=new lt({props:{title:"Installation",local:"installation",headingTag:"h1"}}),c=new lt({props:{title:"Optimum-TPU",local:"optimum-tpu",headingTag:"h2"}}),d=new at({props:{code:"JTI0JTIwcHl0aG9uMyUyMC1tJTIwcGlwJTIwaW5zdGFsbCUyMG9wdGltdW0tdHB1JTIwLWYlMjBodHRwcyUzQSUyRiUyRnN0b3JhZ2UuZ29vZ2xlYXBpcy5jb20lMkZsaWJ0cHUtcmVsZWFzZXMlMkZpbmRleC5odG1sJTBBJTI0JTIwZXhwb3J0JTIwUEpSVF9ERVZJQ0UlM0RUUFU=",highlighted:`$ python3 -m pip install optimum-tpu -f https://storage.googleapis.com/libtpu-releases/index.html
$ <span class="hljs-built_in">export</span> PJRT_DEVICE=TPU`,wrap:!1}}),_=new at({props:{code:"JTI0JTIwcHl0aG9uJTIwLWMlMjAlMjJpbXBvcnQlMjB0b3JjaF94bGEuY29yZS54bGFfbW9kZWwlMjBhcyUyMHhtJTNCJTIwcHJpbnQoeG0ueGxhX2RldmljZSgpKSUyMiUwQXhsYSUzQTA=",highlighted:`$ python -c <span class="hljs-string">&quot;import torch_xla.core.xla_model as xm; print(xm.xla_device())&quot;</span>
xla:0`,wrap:!1}}),{c(){p=o("meta"),y=i(),x=o("p"),U=i(),E(r.$$.fragment),P=i(),m=o("p"),m.innerHTML=Q,H=i(),f=o("p"),f.innerHTML=q,b=i(),h=o("p"),h.innerHTML=z,J=i(),E(c.$$.fragment),I=i(),T=o("p"),T.innerHTML=O,k=i(),w=o("p"),w.textContent=V,C=i(),E(d.$$.fragment),L=i(),g=o("p"),g.innerHTML=N,G=i(),E(_.$$.fragment),j=i(),$=o("p"),$.innerHTML=D,Z=i(),v=o("p"),v.innerHTML=K,R=i(),M=o("p"),this.h()},l(t){const e=ut("svelte-u9bgzb",document.head);p=s(e,"META",{name:!0,content:!0}),e.forEach(a),y=n(t),x=s(t,"P",{}),tt(x).forEach(a),U=n(t),S(r.$$.fragment,t),P=n(t),m=s(t,"P",{"data-svelte-h":!0}),u(m)!=="svelte-uf32t7"&&(m.innerHTML=Q),H=n(t),f=s(t,"P",{"data-svelte-h":!0}),u(f)!=="svelte-hf12ag"&&(f.innerHTML=q),b=n(t),h=s(t,"P",{"data-svelte-h":!0}),u(h)!=="svelte-mkhuef"&&(h.innerHTML=z),J=n(t),S(c.$$.fragment,t),I=n(t),T=s(t,"P",{"data-svelte-h":!0}),u(T)!=="svelte-caw1dx"&&(T.innerHTML=O),k=n(t),w=s(t,"P",{"data-svelte-h":!0}),u(w)!=="svelte-12kxw26"&&(w.textContent=V),C=n(t),S(d.$$.fragment,t),L=n(t),g=s(t,"P",{"data-svelte-h":!0}),u(g)!=="svelte-1g5f21q"&&(g.innerHTML=N),G=n(t),S(_.$$.fragment,t),j=n(t),$=s(t,"P",{"data-svelte-h":!0}),u($)!=="svelte-11myfbf"&&($.innerHTML=D),Z=n(t),v=s(t,"P",{"data-svelte-h":!0}),u(v)!=="svelte-1sqtw9o"&&(v.innerHTML=K),R=n(t),M=s(t,"P",{}),tt(M).forEach(a),this.h()},h(){et(p,"name","hf:doc:metadata"),et(p,"content",ft)},m(t,e){rt(document.head,p),l(t,y,e),l(t,x,e),l(t,U,e),F(r,t,e),l(t,P,e),l(t,m,e),l(t,H,e),l(t,f,e),l(t,b,e),l(t,h,e),l(t,J,e),F(c,t,e),l(t,I,e),l(t,T,e),l(t,k,e),l(t,w,e),l(t,C,e),F(d,t,e),l(t,L,e),l(t,g,e),l(t,G,e),F(_,t,e),l(t,j,e),l(t,$,e),l(t,Z,e),l(t,v,e),l(t,R,e),l(t,M,e),B=!0},p:nt,i(t){B||(W(r.$$.fragment,t),W(c.$$.fragment,t),W(d.$$.fragment,t),W(_.$$.fragment,t),B=!0)},o(t){Y(r.$$.fragment,t),Y(c.$$.fragment,t),Y(d.$$.fragment,t),Y(_.$$.fragment,t),B=!1},d(t){t&&(a(y),a(x),a(U),a(P),a(m),a(H),a(f),a(b),a(h),a(J),a(I),a(T),a(k),a(w),a(C),a(L),a(g),a(G),a(j),a($),a(Z),a(v),a(R),a(M)),a(p),X(r,t),X(c,t),X(d,t),X(_,t)}}}const ft='{"title":"Installation","local":"installation","sections":[{"title":"Optimum-TPU","local":"optimum-tpu","sections":[],"depth":2}],"depth":1}';function ht(A){return ot(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class gt extends st{constructor(p){super(),pt(this,p,ht,mt,it,{})}}export{gt as component};
