import{s as B,n as F,o as G}from"../chunks/scheduler.412302f6.js";import{S as Y,i as R,g as a,s as o,r as q,A as N,h as i,f as n,c as l,j as D,u as O,x as P,k as U,y as K,a as r,v as Q,d as V,t as W,w as Z}from"../chunks/index.f36f02f5.js";import{H as tt}from"../chunks/Heading.41d80af4.js";function et(S){let s,v,T,g,d,L,c,E="This guide explains to optimum-tpu users the difference between Jetstream Pytorch and PyTorch XLA as those are two available backends in TGI.",_,m,I="JetStream PyTorch is a high-performance inference engine built on top of PyTorch XLA. It is optimized for throughput and memory efficiency when running Large Language Models (LLMs) on TPUs.",b,p,J="<thead><tr><th>Feature</th> <th>Jetstream Pytorch</th> <th>PyTorch XLA</th></tr></thead> <tbody><tr><td>Training</td> <td>❌</td> <td>✅</td></tr> <tr><td>Serving</td> <td>✅</td> <td>✅</td></tr> <tr><td>Performance</td> <td>Higher serving performance</td> <td>Standard performance</td></tr> <tr><td>Flexibility</td> <td>Limited to serving</td> <td>Full PyTorch ecosystem</td></tr> <tr><td>Use Case</td> <td>Production inference</td> <td>Development and training</td></tr> <tr><td>Integration</td> <td>Optimized for deployment</td> <td>Standard PyTorch workflow</td></tr></tbody>",w,h,X=`<strong>Notes:</strong>
By default, optimum-tpu is using PyTorch XLA for training and Jetstream Pytorch for serving.`,A,u,j="You can configure optimum-tpu to use either version for serving with TGI. You can use the Pytorch XLA backend in TGI by setting up <code>-e JETSTREAM_PT_DISABLE=1</code> in your docker run arguments.",C,f,k="You can find more information about:",H,y,z='<li>PyTorch XLA: <a href="https://pytorch.org/xla/" rel="nofollow">https://pytorch.org/xla/</a> and <a href="https://github.com/pytorch/xla" rel="nofollow">https://github.com/pytorch/xla</a></li> <li>Jetstream Pytorch: <a href="https://github.com/AI-Hypercomputer/jetstream-pytorch" rel="nofollow">https://github.com/AI-Hypercomputer/jetstream-pytorch</a></li>',M,x,$;return d=new tt({props:{title:"Differences between Jetstream Pytorch and PyTorch XLA",local:"differences-between-jetstream-pytorch-and-pytorch-xla",headingTag:"h1"}}),{c(){s=a("meta"),v=o(),T=a("p"),g=o(),q(d.$$.fragment),L=o(),c=a("p"),c.textContent=E,_=o(),m=a("p"),m.textContent=I,b=o(),p=a("table"),p.innerHTML=J,w=o(),h=a("p"),h.innerHTML=X,A=o(),u=a("p"),u.innerHTML=j,C=o(),f=a("p"),f.textContent=k,H=o(),y=a("ul"),y.innerHTML=z,M=o(),x=a("p"),this.h()},l(t){const e=N("svelte-u9bgzb",document.head);s=i(e,"META",{name:!0,content:!0}),e.forEach(n),v=l(t),T=i(t,"P",{}),D(T).forEach(n),g=l(t),O(d.$$.fragment,t),L=l(t),c=i(t,"P",{"data-svelte-h":!0}),P(c)!=="svelte-rg9p51"&&(c.textContent=E),_=l(t),m=i(t,"P",{"data-svelte-h":!0}),P(m)!=="svelte-em4jju"&&(m.textContent=I),b=l(t),p=i(t,"TABLE",{"data-svelte-h":!0}),P(p)!=="svelte-8su5le"&&(p.innerHTML=J),w=l(t),h=i(t,"P",{"data-svelte-h":!0}),P(h)!=="svelte-1xy0erk"&&(h.innerHTML=X),A=l(t),u=i(t,"P",{"data-svelte-h":!0}),P(u)!=="svelte-1xbzc1r"&&(u.innerHTML=j),C=l(t),f=i(t,"P",{"data-svelte-h":!0}),P(f)!=="svelte-1duiyio"&&(f.textContent=k),H=l(t),y=i(t,"UL",{"data-svelte-h":!0}),P(y)!=="svelte-10a0lmm"&&(y.innerHTML=z),M=l(t),x=i(t,"P",{}),D(x).forEach(n),this.h()},h(){U(s,"name","hf:doc:metadata"),U(s,"content",nt)},m(t,e){K(document.head,s),r(t,v,e),r(t,T,e),r(t,g,e),Q(d,t,e),r(t,L,e),r(t,c,e),r(t,_,e),r(t,m,e),r(t,b,e),r(t,p,e),r(t,w,e),r(t,h,e),r(t,A,e),r(t,u,e),r(t,C,e),r(t,f,e),r(t,H,e),r(t,y,e),r(t,M,e),r(t,x,e),$=!0},p:F,i(t){$||(V(d.$$.fragment,t),$=!0)},o(t){W(d.$$.fragment,t),$=!1},d(t){t&&(n(v),n(T),n(g),n(L),n(c),n(_),n(m),n(b),n(p),n(w),n(h),n(A),n(u),n(C),n(f),n(H),n(y),n(M),n(x)),n(s),Z(d,t)}}}const nt='{"title":"Differences between Jetstream Pytorch and PyTorch XLA","local":"differences-between-jetstream-pytorch-and-pytorch-xla","sections":[],"depth":1}';function rt(S){return G(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class lt extends Y{constructor(s){super(),R(this,s,rt,et,B,{})}}export{lt as component};
