import{s as Ie,n as Fe,o as qe}from"../chunks/scheduler.412302f6.js";import{S as je,i as ze,g as a,s as n,r as p,A as Ee,h as s,f as i,c as o,j as Ae,u as c,x as u,k as ke,y as Ge,a as l,v as m,d as f,t as g,w as d}from"../chunks/index.f36f02f5.js";import{H as h}from"../chunks/Heading.41d80af4.js";function Ne(he){let r,R,N,Y,T,B,$,Te="This guide walks you through setting up and accessing your first TPU instance on Google Cloud Platform (GCP).",W,v,D,P,$e="Before you begin, ensure you have:",J,_,ve="<li>A Google Cloud account</li> <li>Billing enabled on your account</li> <li>Basic familiarity with cloud consoles</li>",K,y,Q,w,Pe='<li><p>Navigate to the TPU dashboard at: <a href="https://console.cloud.google.com/compute/tpus" rel="nofollow">https://console.cloud.google.com/compute/tpus</a></p> <ul><li>Note: You will need to enable the TPU API if you haven’t already</li> <li>A valid billing account must be linked to your project</li></ul></li> <li><p>If prompted, enable the TPU API for your project</p></li>',V,C,_e='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/optimum/tpu/gcp_tpu_dashboard.png" alt="TPU Dashboard"/>',X,U,Z,x,ye="Click the “Create” button to setup your TPU instance.",ee,b,we='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/optimum/tpu/gcp_create_tpu_config.png" alt="TPU Setup"/>',te,L,ie,S,Ce='<li>Review available regions and zones for TPUs: <a href="https://cloud.google.com/tpu/docs/regions-zones" rel="nofollow">https://cloud.google.com/tpu/docs/regions-zones</a></li> <li>For this example, we will use <code>us-west-4a</code> zone<ul><li>Important: TPU availability may vary by region</li> <li>Tips: Choose a region close to your primary usage location</li></ul></li>',le,M,ne,H,Ue='<li>Select TPU type:<ul><li>We will use a TPU <code>v5e-8</code> (corresponds to a v5litepod8). This is a TPU node containing 8 v5e TPU chips</li> <li>For detailed specifications about TPU types, refer to our <a href="../conceptual_guides/tpu_hardware_support">TPU hardware types documentation</a></li></ul></li> <li>Choose a runtime:<ul><li>Select <code>v2-alpha-tpuv5-lite</code> runtime</li> <li>This runtime is optimized for TPU v5e<ul><li>More runtime information on runtime can be found in at recommended runtime for TPU section in our <a href="../conceptual_guides/tpu_hardware_support">TPU hardware page</a></li></ul></li></ul></li>',oe,A,ae,k,xe="After creation, your TPU instance should be accessible by ssh",se,I,be='<li><p>Access your TPU:</p> <ul><li>Click the SSH button in the console for immediate terminal access</li></ul> <p><img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/optimum/tpu/gcp_ssh_tpu.png" alt="TPU SSH"/></p></li> <li><p>For permanent SSH access:</p> <ul><li>Add your SSH keys following the guide at: <a href="https://cloud.google.com/compute/docs/connect/add-ssh-keys" rel="nofollow">https://cloud.google.com/compute/docs/connect/add-ssh-keys</a></li> <li>This enables more convenient access for future sessions</li> <li>You can also look at the ssh section in our <a href="../howto/gcloud_cli">guide about the gcloud cli</a></li></ul></li>',ue,F,re,q,Le="Now that you have a working TPU environment, you can start using it for AI workloads. We offer two main paths depending on your use case:",pe,j,ce,z,Se='<li><p><strong>Model Serving on TPU</strong></p> <ul><li>Follow our serving tutorial: <a href="../tutorials/inference_on_tpu">First Model Serving on TPU</a></li> <li>Learn how to deploy and serve ML models efficiently on TPU</li></ul></li> <li><p><strong>Model Training on TPU</strong></p> <ul><li>Start with our training guide: <a href="../tutorials/training_on_tpu">First Model Training on TPU</a></li> <li>Learn how to start training ML models on TPU</li></ul></li>',me,E,Me="Choose the tutorial that best matches your immediate needs:",fe,G,He='<li>For deploying existing models, start with our <a href="../tutorials/inference_on_tpu">model serving tutorial</a></li> <li>For training new models, begin with our <a href="../tutorials/training_on_tpu">model training tutorial</a></li>',ge,O,de;return T=new h({props:{title:"First TPU Setup on Google Cloud",local:"first-tpu-setup-on-google-cloud",headingTag:"h1"}}),v=new h({props:{title:"Prerequisites",local:"prerequisites",headingTag:"h2"}}),y=new h({props:{title:"Step 1: Enable TPU Access",local:"step-1-enable-tpu-access",headingTag:"h2"}}),U=new h({props:{title:"Step 2: Create your TPU Instance",local:"step-2-create-your-tpu-instance",headingTag:"h2"}}),L=new h({props:{title:"Region Selection",local:"region-selection",headingTag:"h3"}}),M=new h({props:{title:"TPU Configuration",local:"tpu-configuration",headingTag:"h3"}}),A=new h({props:{title:"Step 3: Access Your TPU",local:"step-3-access-your-tpu",headingTag:"h2"}}),F=new h({props:{title:"Next Steps",local:"next-steps",headingTag:"h2"}}),j=new h({props:{title:"AI Inference and Training Tutorials",local:"ai-inference-and-training-tutorials",headingTag:"h3"}}),{c(){r=a("meta"),R=n(),N=a("p"),Y=n(),p(T.$$.fragment),B=n(),$=a("p"),$.textContent=Te,W=n(),p(v.$$.fragment),D=n(),P=a("p"),P.textContent=$e,J=n(),_=a("ul"),_.innerHTML=ve,K=n(),p(y.$$.fragment),Q=n(),w=a("ol"),w.innerHTML=Pe,V=n(),C=a("p"),C.innerHTML=_e,X=n(),p(U.$$.fragment),Z=n(),x=a("p"),x.textContent=ye,ee=n(),b=a("p"),b.innerHTML=we,te=n(),p(L.$$.fragment),ie=n(),S=a("ol"),S.innerHTML=Ce,le=n(),p(M.$$.fragment),ne=n(),H=a("ol"),H.innerHTML=Ue,oe=n(),p(A.$$.fragment),ae=n(),k=a("p"),k.textContent=xe,se=n(),I=a("ol"),I.innerHTML=be,ue=n(),p(F.$$.fragment),re=n(),q=a("p"),q.textContent=Le,pe=n(),p(j.$$.fragment),ce=n(),z=a("ol"),z.innerHTML=Se,me=n(),E=a("p"),E.textContent=Me,fe=n(),G=a("ul"),G.innerHTML=He,ge=n(),O=a("p"),this.h()},l(e){const t=Ee("svelte-u9bgzb",document.head);r=s(t,"META",{name:!0,content:!0}),t.forEach(i),R=o(e),N=s(e,"P",{}),Ae(N).forEach(i),Y=o(e),c(T.$$.fragment,e),B=o(e),$=s(e,"P",{"data-svelte-h":!0}),u($)!=="svelte-1cj0cge"&&($.textContent=Te),W=o(e),c(v.$$.fragment,e),D=o(e),P=s(e,"P",{"data-svelte-h":!0}),u(P)!=="svelte-131kaxk"&&(P.textContent=$e),J=o(e),_=s(e,"UL",{"data-svelte-h":!0}),u(_)!=="svelte-i5yii"&&(_.innerHTML=ve),K=o(e),c(y.$$.fragment,e),Q=o(e),w=s(e,"OL",{"data-svelte-h":!0}),u(w)!=="svelte-1g7cuvm"&&(w.innerHTML=Pe),V=o(e),C=s(e,"P",{"data-svelte-h":!0}),u(C)!=="svelte-448d3d"&&(C.innerHTML=_e),X=o(e),c(U.$$.fragment,e),Z=o(e),x=s(e,"P",{"data-svelte-h":!0}),u(x)!=="svelte-y6gmmp"&&(x.textContent=ye),ee=o(e),b=s(e,"P",{"data-svelte-h":!0}),u(b)!=="svelte-1dksy3n"&&(b.innerHTML=we),te=o(e),c(L.$$.fragment,e),ie=o(e),S=s(e,"OL",{"data-svelte-h":!0}),u(S)!=="svelte-11nvodw"&&(S.innerHTML=Ce),le=o(e),c(M.$$.fragment,e),ne=o(e),H=s(e,"OL",{"data-svelte-h":!0}),u(H)!=="svelte-1c0z1q1"&&(H.innerHTML=Ue),oe=o(e),c(A.$$.fragment,e),ae=o(e),k=s(e,"P",{"data-svelte-h":!0}),u(k)!=="svelte-1m448bv"&&(k.textContent=xe),se=o(e),I=s(e,"OL",{"data-svelte-h":!0}),u(I)!=="svelte-1rol1qe"&&(I.innerHTML=be),ue=o(e),c(F.$$.fragment,e),re=o(e),q=s(e,"P",{"data-svelte-h":!0}),u(q)!=="svelte-15badpj"&&(q.textContent=Le),pe=o(e),c(j.$$.fragment,e),ce=o(e),z=s(e,"OL",{"data-svelte-h":!0}),u(z)!=="svelte-1rq1bfj"&&(z.innerHTML=Se),me=o(e),E=s(e,"P",{"data-svelte-h":!0}),u(E)!=="svelte-14e3gpn"&&(E.textContent=Me),fe=o(e),G=s(e,"UL",{"data-svelte-h":!0}),u(G)!=="svelte-at4sj0"&&(G.innerHTML=He),ge=o(e),O=s(e,"P",{}),Ae(O).forEach(i),this.h()},h(){ke(r,"name","hf:doc:metadata"),ke(r,"content",Oe)},m(e,t){Ge(document.head,r),l(e,R,t),l(e,N,t),l(e,Y,t),m(T,e,t),l(e,B,t),l(e,$,t),l(e,W,t),m(v,e,t),l(e,D,t),l(e,P,t),l(e,J,t),l(e,_,t),l(e,K,t),m(y,e,t),l(e,Q,t),l(e,w,t),l(e,V,t),l(e,C,t),l(e,X,t),m(U,e,t),l(e,Z,t),l(e,x,t),l(e,ee,t),l(e,b,t),l(e,te,t),m(L,e,t),l(e,ie,t),l(e,S,t),l(e,le,t),m(M,e,t),l(e,ne,t),l(e,H,t),l(e,oe,t),m(A,e,t),l(e,ae,t),l(e,k,t),l(e,se,t),l(e,I,t),l(e,ue,t),m(F,e,t),l(e,re,t),l(e,q,t),l(e,pe,t),m(j,e,t),l(e,ce,t),l(e,z,t),l(e,me,t),l(e,E,t),l(e,fe,t),l(e,G,t),l(e,ge,t),l(e,O,t),de=!0},p:Fe,i(e){de||(f(T.$$.fragment,e),f(v.$$.fragment,e),f(y.$$.fragment,e),f(U.$$.fragment,e),f(L.$$.fragment,e),f(M.$$.fragment,e),f(A.$$.fragment,e),f(F.$$.fragment,e),f(j.$$.fragment,e),de=!0)},o(e){g(T.$$.fragment,e),g(v.$$.fragment,e),g(y.$$.fragment,e),g(U.$$.fragment,e),g(L.$$.fragment,e),g(M.$$.fragment,e),g(A.$$.fragment,e),g(F.$$.fragment,e),g(j.$$.fragment,e),de=!1},d(e){e&&(i(R),i(N),i(Y),i(B),i($),i(W),i(D),i(P),i(J),i(_),i(K),i(Q),i(w),i(V),i(C),i(X),i(Z),i(x),i(ee),i(b),i(te),i(ie),i(S),i(le),i(ne),i(H),i(oe),i(ae),i(k),i(se),i(I),i(ue),i(re),i(q),i(pe),i(ce),i(z),i(me),i(E),i(fe),i(G),i(ge),i(O)),i(r),d(T,e),d(v,e),d(y,e),d(U,e),d(L,e),d(M,e),d(A,e),d(F,e),d(j,e)}}}const Oe='{"title":"First TPU Setup on Google Cloud","local":"first-tpu-setup-on-google-cloud","sections":[{"title":"Prerequisites","local":"prerequisites","sections":[],"depth":2},{"title":"Step 1: Enable TPU Access","local":"step-1-enable-tpu-access","sections":[],"depth":2},{"title":"Step 2: Create your TPU Instance","local":"step-2-create-your-tpu-instance","sections":[{"title":"Region Selection","local":"region-selection","sections":[],"depth":3},{"title":"TPU Configuration","local":"tpu-configuration","sections":[],"depth":3}],"depth":2},{"title":"Step 3: Access Your TPU","local":"step-3-access-your-tpu","sections":[],"depth":2},{"title":"Next Steps","local":"next-steps","sections":[{"title":"AI Inference and Training Tutorials","local":"ai-inference-and-training-tutorials","sections":[],"depth":3}],"depth":2}],"depth":1}';function Re(he){return qe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class De extends je{constructor(r){super(),ze(this,r,Re,Ne,Ie,{})}}export{De as component};
