import{s as Pt,n as _t,o as xt}from"../chunks/scheduler.412302f6.js";import{S as wt,i as Mt,g as p,s as o,r as b,A as Ct,h as a,f as l,c as i,j as $t,u as B,x as s,k as gt,y as Ut,a as n,v as z,d as j,t as R,w as q}from"../chunks/index.f36f02f5.js";import{H as E}from"../chunks/Heading.41d80af4.js";function Ht(ot){let m,G,L,S,u,k,r,it="Optimum-TPU support and is optimized for v5e and v6e TPUs.",F,f,A,d,pt="The TPU naming follows this format: <code>&lt;tpu_version&gt;-&lt;number_of_tpus&gt;</code>",V,v,at="TPU version:",D,c,st="<li>v5litepod (v5e)</li> <li>v6e</li>",N,h,mt="For example, a v5litepod-8 is a v5e TPU with 8 tpus.",O,T,W,$,ut="The HBM (High Bandwidth Memory) capacity per chip is 16GB for v5e, v5p and 32GB for v6e. So a v5e-8 (v5litepod-8), has 16GB*8=128GB of HBM memory",I,g,J,P,rt="During the TPU VM creation use the following TPU VM base images for optimum-tpu:",K,_,ft="<li>v2-alpha-tpuv6e (TPU v6e) (recommended)</li> <li>v2-alpha-tpuv5 (TPU v5p) (recommended)</li> <li>v2-alpha-tpuv5-lite (TPU v5e) (recommended)</li> <li>tpu-ubuntu2204-base (default)</li>",Q,x,dt='For installation instructions, refer to our <a href="../tutorials/tpu_setup">TPU setup tutorial</a>. We recommend you use the <em>alpha</em> version with optimum-tpu, as optimum-tpu is tested and optimized for those.',X,w,vt='More information at <a href="https://cloud.google.com/tpu/docs/runtimes#pytorch_and_jax" rel="nofollow">https://cloud.google.com/tpu/docs/runtimes#pytorch_and_jax</a>',Y,M,Z,C,ct=`For more information on the different TPU hardware, you can look at:
<a href="https://cloud.google.com/tpu/docs/v6e" rel="nofollow">https://cloud.google.com/tpu/docs/v6e</a> <a href="https://cloud.google.com/tpu/docs/v5p" rel="nofollow">https://cloud.google.com/tpu/docs/v5p</a> <a href="https://cloud.google.com/tpu/docs/v5e" rel="nofollow">https://cloud.google.com/tpu/docs/v5e</a>`,tt,U,ht='Pricing informatin can be found here <a href="https://cloud.google.com/tpu/pricing" rel="nofollow">https://cloud.google.com/tpu/pricing</a>',et,H,Tt='TPU availability can be found <a href="https://cloud.google.com/tpu/docs/regions-zones" rel="nofollow">https://cloud.google.com/tpu/docs/regions-zones</a>',lt,y,nt;return u=new E({props:{title:"TPU hardware support",local:"tpu-hardware-support",headingTag:"h1"}}),f=new E({props:{title:"TPU naming convention",local:"tpu-naming-convention",headingTag:"h2"}}),T=new E({props:{title:"Memory on TPU",local:"memory-on-tpu",headingTag:"h2"}}),g=new E({props:{title:"Recommended Runtime for TPU",local:"recommended-runtime-for-tpu",headingTag:"h2"}}),M=new E({props:{title:"Next steps",local:"next-steps",headingTag:"h1"}}),{c(){m=p("meta"),G=o(),L=p("p"),S=o(),b(u.$$.fragment),k=o(),r=p("p"),r.textContent=it,F=o(),b(f.$$.fragment),A=o(),d=p("p"),d.innerHTML=pt,V=o(),v=p("p"),v.textContent=at,D=o(),c=p("ul"),c.innerHTML=st,N=o(),h=p("p"),h.textContent=mt,O=o(),b(T.$$.fragment),W=o(),$=p("p"),$.textContent=ut,I=o(),b(g.$$.fragment),J=o(),P=p("p"),P.textContent=rt,K=o(),_=p("ul"),_.innerHTML=ft,Q=o(),x=p("p"),x.innerHTML=dt,X=o(),w=p("p"),w.innerHTML=vt,Y=o(),b(M.$$.fragment),Z=o(),C=p("p"),C.innerHTML=ct,tt=o(),U=p("p"),U.innerHTML=ht,et=o(),H=p("p"),H.innerHTML=Tt,lt=o(),y=p("p"),this.h()},l(t){const e=Ct("svelte-u9bgzb",document.head);m=a(e,"META",{name:!0,content:!0}),e.forEach(l),G=i(t),L=a(t,"P",{}),$t(L).forEach(l),S=i(t),B(u.$$.fragment,t),k=i(t),r=a(t,"P",{"data-svelte-h":!0}),s(r)!=="svelte-5oal2r"&&(r.textContent=it),F=i(t),B(f.$$.fragment,t),A=i(t),d=a(t,"P",{"data-svelte-h":!0}),s(d)!=="svelte-1td4lwl"&&(d.innerHTML=pt),V=i(t),v=a(t,"P",{"data-svelte-h":!0}),s(v)!=="svelte-1r807hh"&&(v.textContent=at),D=i(t),c=a(t,"UL",{"data-svelte-h":!0}),s(c)!=="svelte-ss328"&&(c.innerHTML=st),N=i(t),h=a(t,"P",{"data-svelte-h":!0}),s(h)!=="svelte-gr5lmp"&&(h.textContent=mt),O=i(t),B(T.$$.fragment,t),W=i(t),$=a(t,"P",{"data-svelte-h":!0}),s($)!=="svelte-ob9ajh"&&($.textContent=ut),I=i(t),B(g.$$.fragment,t),J=i(t),P=a(t,"P",{"data-svelte-h":!0}),s(P)!=="svelte-rqjknz"&&(P.textContent=rt),K=i(t),_=a(t,"UL",{"data-svelte-h":!0}),s(_)!=="svelte-cs58cg"&&(_.innerHTML=ft),Q=i(t),x=a(t,"P",{"data-svelte-h":!0}),s(x)!=="svelte-yshpet"&&(x.innerHTML=dt),X=i(t),w=a(t,"P",{"data-svelte-h":!0}),s(w)!=="svelte-5w0lor"&&(w.innerHTML=vt),Y=i(t),B(M.$$.fragment,t),Z=i(t),C=a(t,"P",{"data-svelte-h":!0}),s(C)!=="svelte-6vmfow"&&(C.innerHTML=ct),tt=i(t),U=a(t,"P",{"data-svelte-h":!0}),s(U)!=="svelte-149btbf"&&(U.innerHTML=ht),et=i(t),H=a(t,"P",{"data-svelte-h":!0}),s(H)!=="svelte-14wq8qu"&&(H.innerHTML=Tt),lt=i(t),y=a(t,"P",{}),$t(y).forEach(l),this.h()},h(){gt(m,"name","hf:doc:metadata"),gt(m,"content",Lt)},m(t,e){Ut(document.head,m),n(t,G,e),n(t,L,e),n(t,S,e),z(u,t,e),n(t,k,e),n(t,r,e),n(t,F,e),z(f,t,e),n(t,A,e),n(t,d,e),n(t,V,e),n(t,v,e),n(t,D,e),n(t,c,e),n(t,N,e),n(t,h,e),n(t,O,e),z(T,t,e),n(t,W,e),n(t,$,e),n(t,I,e),z(g,t,e),n(t,J,e),n(t,P,e),n(t,K,e),n(t,_,e),n(t,Q,e),n(t,x,e),n(t,X,e),n(t,w,e),n(t,Y,e),z(M,t,e),n(t,Z,e),n(t,C,e),n(t,tt,e),n(t,U,e),n(t,et,e),n(t,H,e),n(t,lt,e),n(t,y,e),nt=!0},p:_t,i(t){nt||(j(u.$$.fragment,t),j(f.$$.fragment,t),j(T.$$.fragment,t),j(g.$$.fragment,t),j(M.$$.fragment,t),nt=!0)},o(t){R(u.$$.fragment,t),R(f.$$.fragment,t),R(T.$$.fragment,t),R(g.$$.fragment,t),R(M.$$.fragment,t),nt=!1},d(t){t&&(l(G),l(L),l(S),l(k),l(r),l(F),l(A),l(d),l(V),l(v),l(D),l(c),l(N),l(h),l(O),l(W),l($),l(I),l(J),l(P),l(K),l(_),l(Q),l(x),l(X),l(w),l(Y),l(Z),l(C),l(tt),l(U),l(et),l(H),l(lt),l(y)),l(m),q(u,t),q(f,t),q(T,t),q(g,t),q(M,t)}}}const Lt='{"title":"TPU hardware support","local":"tpu-hardware-support","sections":[{"title":"TPU naming convention","local":"tpu-naming-convention","sections":[],"depth":2},{"title":"Memory on TPU","local":"memory-on-tpu","sections":[],"depth":2},{"title":"Recommended Runtime for TPU","local":"recommended-runtime-for-tpu","sections":[],"depth":2}],"depth":1}';function yt(ot){return xt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class jt extends wt{constructor(m){super(),Mt(this,m,yt,Ht,Pt,{})}}export{jt as component};
