import{s as Zt,n as Ht,o as St}from"../chunks/scheduler.412302f6.js";import{S as kt,i as Pt,g as a,s as o,r as p,A as Rt,h as s,f as l,c as i,j as bt,u as m,x as f,k as _t,y as Vt,a as n,v as u,d,t as r,w as c}from"../chunks/index.f36f02f5.js";import{C as Q}from"../chunks/CodeBlock.f4a4ce81.js";import{H as W}from"../chunks/Heading.41d80af4.js";function Gt(gt){let g,J,L,N,$,X,h,Y,v,$t=`We assume the reader has already created a Google Cloud Platform (GCP) user or organization account and an
associated project.`,E,w,ht=`We also assume the reader to have the Google Cloud CLI installed. If not, please follow the links right after to
<a href="https://cloud.google.com/sdk/docs/install" rel="nofollow">install</a> and <a href="https://cloud.google.com/sdk/docs/initializing" rel="nofollow">setup</a>.`,F,U,D,C,vt="In order to create your initial TPU instance, you will need to provide some information:",q,y,wt='<li>The <a href="https://cloud.google.com/tpu/docs/regions-zones" rel="nofollow">GCP zone</a> you would like to see the instance being deployed (close to the reader for development purposes, close to the end user for production, for instance)</li> <li>Which kind of <a href="https://cloud.google.com/tpu/docs/system-architecture-tpu-vm#versions" rel="nofollow">TPU</a> you would like to target</li> <li>Which version of the <a href="https://cloud.google.com/tpu/docs/runtimes" rel="nofollow">TPU runtime</a> you want to leverage on the instance</li> <li>Custom instance name to quickly skim and refer back to the instance</li>',A,M,Ut="Overall, the end command looks like this:",O,x,K,T,tt,z,Ct=`In our case, we will be deploying a <code>v5litepod-8</code> instance name <code>optimum-tpu-get-started</code>
in the GCP region <code>us-west4-a</code> using the latest <code>v2-alpha-tpuv5-lite</code> runtime version.`,et,b,yt="Of course, feel free to adjust all these parameters to the one that match with your usage and quotas.",lt,_,Mt=`Before creating the instance, please make sure to install <code>gcloud alpha component</code> as it is required to be able to
target TPUv5 VMs: <code>gcloud components install alpha</code>`,nt,Z,ot,H,it,S,at,k,xt="In the example above deploying v5litepod-8 it would be something like:",st,P,pt,R,mt,V,Tt="This is used to get information about the tpu-vm for example its external IP:",ut,G,dt,j,rt,I,zt='<li>If you wish to train your own model, you can now <a href="../installation">install optimum-tpu</a></li> <li>If you wish do to serving, you can look at our <a href="../tutorials/inference_on_tpu">serving tutorial</a></li>',ct,B,ft;return $=new W({props:{title:"Deploying and Connecting to Google TPU Instances via GCloud CLI",local:"deploying-and-connecting-to-google-tpu-instances-via-gcloud-cli",headingTag:"h1"}}),h=new W({props:{title:"Context",local:"context",headingTag:"h2"}}),U=new W({props:{title:"Creating the initial TPU VM on GCP",local:"creating-the-initial-tpu-vm-on-gcp",headingTag:"h2"}}),x=new Q({props:{code:"Z2Nsb3VkJTIwY29tcHV0ZSUyMHRwdXMlMjB0cHUtdm0lMjBjcmVhdGUlMjAlM0NyZWZfaW5zdGFuY2VfbmFtZSUzRSUyMCU1QyUwQS0tem9uZSUzRCUzQ2RlcGxvaW1lbnRfem9uZSUzRSUyMCU1QyUwQS0tYWNjZWxlcmF0b3ItdHlwZSUzRCUzQ3RhcmdldF90cHVfZ2VuZXJhdGlvbiUzRSUyMCU1QyUwQS0tdmVyc2lvbiUzRCUzQ3J1bnRpbWVfdmVyc2lvbiUzRQ==",highlighted:`gcloud compute tpus tpu-vm create &lt;ref_instance_name&gt; \\
--zone=&lt;deploiment_zone&gt; \\
--accelerator-type=&lt;target_tpu_generation&gt; \\
--version=&lt;runtime_version&gt;`,wrap:!1}}),T=new W({props:{title:"Deploying a TPU v5litepod-8 instance",local:"deploying-a-tpu-v5litepod-8-instance",headingTag:"h3"}}),Z=new Q({props:{code:"Z2Nsb3VkJTIwYWxwaGElMjBjb21wdXRlJTIwdHB1cyUyMHRwdS12bSUyMGNyZWF0ZSUyMG9wdGltdW0tdHB1LWdldC1zdGFydGVkJTIwJTVDJTBBLS16b25lJTNEdXMtd2VzdDQtYSUyMCU1QyUwQS0tYWNjZWxlcmF0b3ItdHlwZSUzRHY1bGl0ZXBvZC04JTIwJTVDJTBBLS12ZXJzaW9uJTNEdjItYWxwaGEtdHB1djUtbGl0ZQ==",highlighted:`gcloud alpha compute tpus tpu-vm create optimum-tpu-get-started \\
--zone=us-west4-a \\
--accelerator-type=v5litepod-8 \\
--version=v2-alpha-tpuv5-lite`,wrap:!1}}),H=new W({props:{title:"Connecting to the instance via ssh",local:"connecting-to-the-instance-via-ssh",headingTag:"h2"}}),S=new Q({props:{code:"Z2Nsb3VkJTIwY29tcHV0ZSUyMHRwdXMlMjB0cHUtdm0lMjBzc2glMjAlM0NyZWZfaW5zdGFuY2VfbmFtZSUzRSUyMC0tem9uZSUzRCUzQ2RlcGxveW1lbnRfem9uZSUzRSUwQSUyNCUyMCUzRQ==",highlighted:`gcloud compute tpus tpu-vm ssh &lt;ref_instance_name&gt; --zone=&lt;deployment_zone&gt;
$ &gt;`,wrap:!1}}),P=new Q({props:{code:"Z2Nsb3VkJTIwY29tcHV0ZSUyMHRwdXMlMjB0cHUtdm0lMjBzc2glMjBvcHRpbXVtLXRwdS1nZXQtc3RhcnRlZCUyMC0tem9uZSUzRHVzLXdlc3Q0LWElMEElMjQlMjAlM0U=",highlighted:`gcloud compute tpus tpu-vm ssh optimum-tpu-get-started --zone=us-west4-a
$ &gt;`,wrap:!1}}),R=new W({props:{title:"Other useful commands",local:"other-useful-commands",headingTag:"h2"}}),G=new Q({props:{code:"Z2Nsb3VkJTIwY29tcHV0ZSUyMHRwdXMlMjB0cHUtdm0lMjBkZXNjcmliZSUyMC0tem9uZSUzRCUzQ3RwdV96b25lJTNFJTIwJTNDdHB1X25hbWUlM0U=",highlighted:"gcloud compute tpus tpu-vm describe --zone=&lt;tpu_zone&gt; &lt;tpu_name&gt;",wrap:!1}}),j=new W({props:{title:"Next steps",local:"next-steps",headingTag:"h2"}}),{c(){g=a("meta"),J=o(),L=a("p"),N=o(),p($.$$.fragment),X=o(),p(h.$$.fragment),Y=o(),v=a("p"),v.textContent=$t,E=o(),w=a("p"),w.innerHTML=ht,F=o(),p(U.$$.fragment),D=o(),C=a("p"),C.textContent=vt,q=o(),y=a("ul"),y.innerHTML=wt,A=o(),M=a("p"),M.textContent=Ut,O=o(),p(x.$$.fragment),K=o(),p(T.$$.fragment),tt=o(),z=a("p"),z.innerHTML=Ct,et=o(),b=a("p"),b.textContent=yt,lt=o(),_=a("p"),_.innerHTML=Mt,nt=o(),p(Z.$$.fragment),ot=o(),p(H.$$.fragment),it=o(),p(S.$$.fragment),at=o(),k=a("p"),k.textContent=xt,st=o(),p(P.$$.fragment),pt=o(),p(R.$$.fragment),mt=o(),V=a("p"),V.textContent=Tt,ut=o(),p(G.$$.fragment),dt=o(),p(j.$$.fragment),rt=o(),I=a("ul"),I.innerHTML=zt,ct=o(),B=a("p"),this.h()},l(t){const e=Rt("svelte-u9bgzb",document.head);g=s(e,"META",{name:!0,content:!0}),e.forEach(l),J=i(t),L=s(t,"P",{}),bt(L).forEach(l),N=i(t),m($.$$.fragment,t),X=i(t),m(h.$$.fragment,t),Y=i(t),v=s(t,"P",{"data-svelte-h":!0}),f(v)!=="svelte-3p1yty"&&(v.textContent=$t),E=i(t),w=s(t,"P",{"data-svelte-h":!0}),f(w)!=="svelte-i49fz2"&&(w.innerHTML=ht),F=i(t),m(U.$$.fragment,t),D=i(t),C=s(t,"P",{"data-svelte-h":!0}),f(C)!=="svelte-n1fuae"&&(C.textContent=vt),q=i(t),y=s(t,"UL",{"data-svelte-h":!0}),f(y)!=="svelte-1ke8ori"&&(y.innerHTML=wt),A=i(t),M=s(t,"P",{"data-svelte-h":!0}),f(M)!=="svelte-8uqeux"&&(M.textContent=Ut),O=i(t),m(x.$$.fragment,t),K=i(t),m(T.$$.fragment,t),tt=i(t),z=s(t,"P",{"data-svelte-h":!0}),f(z)!=="svelte-19oohwg"&&(z.innerHTML=Ct),et=i(t),b=s(t,"P",{"data-svelte-h":!0}),f(b)!=="svelte-ipoz1i"&&(b.textContent=yt),lt=i(t),_=s(t,"P",{"data-svelte-h":!0}),f(_)!=="svelte-1un03r3"&&(_.innerHTML=Mt),nt=i(t),m(Z.$$.fragment,t),ot=i(t),m(H.$$.fragment,t),it=i(t),m(S.$$.fragment,t),at=i(t),k=s(t,"P",{"data-svelte-h":!0}),f(k)!=="svelte-nx4k2f"&&(k.textContent=xt),st=i(t),m(P.$$.fragment,t),pt=i(t),m(R.$$.fragment,t),mt=i(t),V=s(t,"P",{"data-svelte-h":!0}),f(V)!=="svelte-mnzkxs"&&(V.textContent=Tt),ut=i(t),m(G.$$.fragment,t),dt=i(t),m(j.$$.fragment,t),rt=i(t),I=s(t,"UL",{"data-svelte-h":!0}),f(I)!=="svelte-1buk4tq"&&(I.innerHTML=zt),ct=i(t),B=s(t,"P",{}),bt(B).forEach(l),this.h()},h(){_t(g,"name","hf:doc:metadata"),_t(g,"content",jt)},m(t,e){Vt(document.head,g),n(t,J,e),n(t,L,e),n(t,N,e),u($,t,e),n(t,X,e),u(h,t,e),n(t,Y,e),n(t,v,e),n(t,E,e),n(t,w,e),n(t,F,e),u(U,t,e),n(t,D,e),n(t,C,e),n(t,q,e),n(t,y,e),n(t,A,e),n(t,M,e),n(t,O,e),u(x,t,e),n(t,K,e),u(T,t,e),n(t,tt,e),n(t,z,e),n(t,et,e),n(t,b,e),n(t,lt,e),n(t,_,e),n(t,nt,e),u(Z,t,e),n(t,ot,e),u(H,t,e),n(t,it,e),u(S,t,e),n(t,at,e),n(t,k,e),n(t,st,e),u(P,t,e),n(t,pt,e),u(R,t,e),n(t,mt,e),n(t,V,e),n(t,ut,e),u(G,t,e),n(t,dt,e),u(j,t,e),n(t,rt,e),n(t,I,e),n(t,ct,e),n(t,B,e),ft=!0},p:Ht,i(t){ft||(d($.$$.fragment,t),d(h.$$.fragment,t),d(U.$$.fragment,t),d(x.$$.fragment,t),d(T.$$.fragment,t),d(Z.$$.fragment,t),d(H.$$.fragment,t),d(S.$$.fragment,t),d(P.$$.fragment,t),d(R.$$.fragment,t),d(G.$$.fragment,t),d(j.$$.fragment,t),ft=!0)},o(t){r($.$$.fragment,t),r(h.$$.fragment,t),r(U.$$.fragment,t),r(x.$$.fragment,t),r(T.$$.fragment,t),r(Z.$$.fragment,t),r(H.$$.fragment,t),r(S.$$.fragment,t),r(P.$$.fragment,t),r(R.$$.fragment,t),r(G.$$.fragment,t),r(j.$$.fragment,t),ft=!1},d(t){t&&(l(J),l(L),l(N),l(X),l(Y),l(v),l(E),l(w),l(F),l(D),l(C),l(q),l(y),l(A),l(M),l(O),l(K),l(tt),l(z),l(et),l(b),l(lt),l(_),l(nt),l(ot),l(it),l(at),l(k),l(st),l(pt),l(mt),l(V),l(ut),l(dt),l(rt),l(I),l(ct),l(B)),l(g),c($,t),c(h,t),c(U,t),c(x,t),c(T,t),c(Z,t),c(H,t),c(S,t),c(P,t),c(R,t),c(G,t),c(j,t)}}}const jt='{"title":"Deploying and Connecting to Google TPU Instances via GCloud CLI","local":"deploying-and-connecting-to-google-tpu-instances-via-gcloud-cli","sections":[{"title":"Context","local":"context","sections":[],"depth":2},{"title":"Creating the initial TPU VM on GCP","local":"creating-the-initial-tpu-vm-on-gcp","sections":[{"title":"Deploying a TPU v5litepod-8 instance","local":"deploying-a-tpu-v5litepod-8-instance","sections":[],"depth":3}],"depth":2},{"title":"Connecting to the instance via ssh","local":"connecting-to-the-instance-via-ssh","sections":[],"depth":2},{"title":"Other useful commands","local":"other-useful-commands","sections":[],"depth":2},{"title":"Next steps","local":"next-steps","sections":[],"depth":2}],"depth":1}';function It(gt){return St(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Jt extends kt{constructor(g){super(),Pt(this,g,It,Gt,Zt,{})}}export{Jt as component};
